/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2010 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_KEXT_H_
#define _SOPRANO_KEXT_H_

#include <QtCore/QUrl>

namespace Nepomuk2 {
    namespace Vocabulary {
        namespace KExt {
            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#
             */
            QUrl kextNamespace();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#
             */
            QUrl nrlOntologyGraph();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#Activity 
             * 
             * A Plasma activity. 
             */
            QUrl Activity();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#ResourceScoreCache 
             * 
             * For storing the automatically calculated score based on the 
             * usage statistics 
             */
            QUrl ResourceScoreCache();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#activityIdentifier 
             * 
             * The unique ID of the activity as used outside of Nepomuk. Typically 
             * this is a UUID. 
             */
            QUrl activityIdentifier();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#cachedScore 
             * 
             * The automatically calculated score 
             */
            QUrl cachedScore();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#initiatingAgent 
             * 
             * Relates the score to the agent initiating the events. 
             */
            QUrl initiatingAgent();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#targettedResource 
             * 
             * Resource for which the score is calculated. 
             */
            QUrl targettedResource();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#unixFileGroup 
             * 
             * The group of the file as seen on unix file systems. 
             */
            QUrl unixFileGroup();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#unixFileMode 
             * 
             * The file mode value as seen on unix file systems. 
             */
            QUrl unixFileMode();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#unixFileOwner 
             * 
             * The owner of the file as seen on unix file systems. This is intended 
             * as the low-level counterpart to nfo:owner. 
             */
            QUrl unixFileOwner();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext#usedActivity 
             * 
             * The activity that was active when resource was created. This 
             * is mostly used for graphs or desktop events. 
             */
            QUrl usedActivity();

            /**
             * http://nepomuk.kde.org/ontologies/2010/11/29/kext/metadata 
             */
            QUrl metadata();
        }
    }
}

#endif
